package cn.com.qmth.examcloud.bridge;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.bridge.commons.BridgeDataSource;
import cn.com.qmth.examcloud.bridge.commons.BridgeDatabaseUtil;

@Component
public class Tester {

	public void test() {
		// testJdbc();
	}

	/**
	 * 测试JDBC
	 *
	 * @author WANGWEI
	 */
	public void testJdbc() {
		try {
			Connection conn = BridgeDatabaseUtil.getConnection(BridgeDataSource.EXAM_CLOUD);
			PreparedStatement ps = conn.prepareStatement("select 'jdbc test' from dual");
			ResultSet rs = ps.executeQuery();

			while (rs.next()) {
				Object object = rs.getObject(1);
				System.out.println(object);
			}
		} catch (SQLException e) {
			e.printStackTrace();
		}
	}

}
